Loading...
Searching...
No Matches
SelectGPUAPI.h File Reference

Defines a lowering pass that selects which GPU api to use for each gpu for loop. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::select_gpu_api (const Stmt &s, const Target &t)
| Replace for loops with GPU_Default device_api with an actual device API depending on what's enabled in the target.

## Detailed Description

Defines a lowering pass that selects which GPU api to use for each gpu for loop.

Definition in file SelectGPUAPI.h.